OLT Service Port Profile
10 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addServicePortProfile | POST | Create new service port profile |
| deleteServicePortProfile | POST | Delete an existing service port profile |
| addServicePortProfileDetail | POST | Create new service port profile detail |
| deleteServicePortProfileDetail | POST | Delete an existing service port profile detail |
| editServicePortProfileDetail | POST | Modify an existing service port profile detail |
| getServicePortProfileListDetail | GET | Get service port profile list detail |
| getServicePortProfilePageDetail | GET | Get service port profile page detail |
| editServicePortProfile | POST | Modify an existing service port profile |
| getServicePortProfileList | GET | Get service port profile list |
| getServicePortProfilePage | GET | Get service port profile page |
addServicePortProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/add
Create new service port profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortProfileModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
servicePortProfileId | string | yes | Service port template ID. The servicePortProfileId should be within the range of 1 to 512, E.g.,1. It can be obtained from "Get service port profile list" interface. |
servicePortProfileName | string | no | Name of the service port template. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.). |
// omada_call_operation
{
"operationId": "addServicePortProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new service port profile
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteServicePortProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/delete
Delete an existing service port profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortProfileDeleteDTO
| Field | Type | Required | Description |
|---|---|---|---|
keys | array<string> | no | Service port profile Id. The service port profile ID should be within the range of 1 to 512 and it can be obtained from "Get service port profile list" interface. Up to 50 entries are allowed for the ids list. |
// omada_call_operation
{
"operationId": "deleteServicePortProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing service port profile
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
addServicePortProfileDetail
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/add
Create new service port profile detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortProfileDetailDTO
| Field | Type | Required | Description |
|---|---|---|---|
servicePortId | string | yes | Service port profile ID. The servicePortProfileId should be within the range of 1 to 127. |
servicePortProfileId | string | yes | Service template ID. The servicePortProfileId should be within the range of 1 to 127. It can be obtained from "Get service port profile list" |
svlan | integer | yes | Bound network VLAN ID after automatic flow creation. The svlan should be within the range of 1-4094. |
gemId | integer | yes | Gem Port ID for automatic flow creation. The gemPort should be within the range of 1-1023. |
userVlan | integer | yes | User VLAN ID for automatic flow creation. The userVlan should be within the range of 0-4094. |
userVlanPriority | integer | yes | User VLAN priority. The userVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item. |
tagAction | string | yes | VLAN TAG operation after automatic flow creation |
innerVlan | integer | yes | Inner VLAN ID for automatic flow creation. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlan should be within the range of 0-4094, -1 indicating not configuring the item. |
innerVlanPriority | integer | yes | Inner VLAN priority. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item. |
etherType | string | yes | Message type |
inboundTrafficProfileId | integer | yes | Inbound traffic profile ID. The inboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item. |
outboundTrafficProfileId | integer | yes | Outbound traffic profile ID. The outboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item. |
statisticPerformance | string | yes | Whether to enable traffic flow statistics |
adminStatus | string | yes | Whether to enable traffic flow |
description | string | no | Service port description. Description should contain 1-32 characters, including uppercase and lowercase letters, numbers, and symbols(-@_😕.). |
creationMode | string | yes | The creation mode |
entriesNumber | integer | yes | Service port amount. The entriesNumber should be within the range of 0 to 127. |
inUse | string | yes | Indicate whether the profile has been used |
// omada_call_operation
{
"operationId": "addServicePortProfileDetail",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new service port profile detail
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteServicePortProfileDetail
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/delete
Delete an existing service port profile detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortProfileDetailDeleteDTO
| Field | Type | Required | Description |
|---|---|---|---|
servicePortId | array<string> | no | Service port ID List. It can be obtained from"Get service port profile detail list" interface. Up to 50 entries are allowed for the ids list. |
servicePortProfileId | string | no | Service port profile ID. The servicePortProfileId should be within the range of 1 to 127. It can be obtained from "Get service port profile detail". |
// omada_call_operation
{
"operationId": "deleteServicePortProfileDetail",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing service port profile detail
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editServicePortProfileDetail
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/edit
Modify an existing service port profile detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortProfileDetailDTO
| Field | Type | Required | Description |
|---|---|---|---|
servicePortId | string | yes | Service port profile ID. The servicePortProfileId should be within the range of 1 to 127. |
servicePortProfileId | string | yes | Service template ID. The servicePortProfileId should be within the range of 1 to 127. It can be obtained from "Get service port profile list" |
svlan | integer | yes | Bound network VLAN ID after automatic flow creation. The svlan should be within the range of 1-4094. |
gemId | integer | yes | Gem Port ID for automatic flow creation. The gemPort should be within the range of 1-1023. |
userVlan | integer | yes | User VLAN ID for automatic flow creation. The userVlan should be within the range of 0-4094. |
userVlanPriority | integer | yes | User VLAN priority. The userVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item. |
tagAction | string | yes | VLAN TAG operation after automatic flow creation |
innerVlan | integer | yes | Inner VLAN ID for automatic flow creation. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlan should be within the range of 0-4094, -1 indicating not configuring the item. |
innerVlanPriority | integer | yes | Inner VLAN priority. This parameter is associated with tagAction. When tagAction is TRANSLATE_AND_ADD/ADD_DOUBLE, this parameter is valid. The innerVlanPriority should be within the range of -1 to 7, -1 indicating not configuring the item. |
etherType | string | yes | Message type |
inboundTrafficProfileId | integer | yes | Inbound traffic profile ID. The inboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item. |
outboundTrafficProfileId | integer | yes | Outbound traffic profile ID. The outboundTrafficProfileId should be within the range of 1-1023, -1 indicating not configuring the item. |
statisticPerformance | string | yes | Whether to enable traffic flow statistics |
adminStatus | string | yes | Whether to enable traffic flow |
description | string | no | Service port description. Description should contain 1-32 characters, including uppercase and lowercase letters, numbers, and symbols(-@_😕.). |
creationMode | string | yes | The creation mode |
entriesNumber | integer | yes | Service port amount. The entriesNumber should be within the range of 0 to 127. |
inUse | string | yes | Indicate whether the profile has been used |
// omada_call_operation
{
"operationId": "editServicePortProfileDetail",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing service port profile detail
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServicePortProfileListDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/list
Get service port profile list detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | ServicePortProfileDetailListQueryDTO | no | Object: its fields (searchKey, sorts, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getServicePortProfileListDetail",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service port profile list detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServicePortProfilePageDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/detail/page
Get service port profile page detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | ServicePortProfileDetailPageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields, servicePortProfileId) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getServicePortProfilePageDetail",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service port profile page detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editServicePortProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/edit
Modify an existing service port profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ServicePortProfileModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
servicePortProfileId | string | yes | Service port template ID. The servicePortProfileId should be within the range of 1 to 512, E.g.,1. It can be obtained from "Get service port profile list" interface. |
servicePortProfileName | string | no | Name of the service port template. No user configuration is automatically generated by the device. The name should contain 1 to 32 characters, including upper and lower letters, numbers, and symbols (-@_😕.). |
// omada_call_operation
{
"operationId": "editServicePortProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing service port profile
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServicePortProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/list
Get service port profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getServicePortProfileList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service port profile list
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getServicePortProfilePage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/service-port/profiles/page
Get service port profile page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | ServicePortProfilePageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getServicePortProfilePage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get service port profile page
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.